TIMEOUT(1)

NOMBRE
timeout - ejecuta una orden con un límite temporal

SINOPSIS
timeout [OPCIÓN] DURACIÓN ORDEN [ARG]...
timeout [OPCIÓN]

DESCRIPCIÓN

Ejecuta una ORDEN y la finaliza si prosigue su ejecución después de DURACIÓN.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

--preserve-status

    finaliza con el mismo estado de salida que ORDEN incluso cuando

    la orden sobrepase el tiempo de ejecución

--foreground

    cuando no se ejecute desde una shell,

    da a ORDEN la posibilidad de recibir datos y señales del TTY. En este modo, no se limitará el tiempo de ejecución de los descendientes de ORDEN.

-k, --kill-after=DURACIÓN

    enviar también la señal KILL si la ORDEN continúa ejecutándose

    transcurrido DURACIÓN.

-s, --signal=SEÑAL

    define la señal a emitir en caso de sobrepasar el tiempo de ejecución.

    SEÑAL debe indicar con su nombre, por ejemplo 'HUP' o con un número. Consulte kill -l para ver la lista completa.

-v, --verbose
    envía a la salida de error estándar cualquier señal enviada transcurrido el tiempo de ejecución

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y termina

DURACIÓN es un número decimal con un sufijo opcional: 's' para los segundos (por defecto), 'm' para los minutos, 'h' para las horas y 'd' para los días. Una duración de 0 anula la acción de timeout.

Si transcurre el tiempo de ejecución de la orden y no está definida la opción --preserve-status, finaliza con un estado de salida de 124. Si no es así, finalizará con el estado de salida de ORDEN. Si no se define ninguna señal, enviará TERM al transcurrir el tiempo de ejecución. Tenga en cuenta que la señal TERM finaliza un proceso siempre y cuando éste no la bloquee o capture, haciendo necesario el uso de la señal KILL (9) que no puede capturarse. En este último caso el estado de salida será 128+9 en lugar de 124.

ERRORES
En algunos sistemas, no es posible indicar tiempos de ejecución más allá del año 2038.

AUTOR
Escrito por Padraig Brady.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
kill(1)

Full documentation <https://www.gnu.org/software/coreutils/timeout>
también disponible localmente ejecutando: info '(coreutils) timeout invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.